# Get

Fetch an MCP config including its full content.





Returns the config including its full `content`.

```http
GET /api/public/v1/artifacts/mcp-configs/{config_id}
```

## Example [#example]

<Tabs items="[&#x22;bash&#x22;, &#x22;TypeScript&#x22;, &#x22;Ruby&#x22;, &#x22;Python&#x22;, &#x22;Go&#x22;]">
  <Tab value="bash">
    ```bash
    curl -X GET https://api.nairi.ai/api/public/v1/artifacts/mcp-configs/CONFIG_ID \
      -H "Authorization: Bearer $NAIRI_API_KEY"
    ```
  </Tab>

  <Tab value="TypeScript">
    ```ts
    const res = await fetch(
      `https://api.nairi.ai/api/public/v1/artifacts/mcp-configs/${configId}`,
      {
        headers: {
          Authorization: `Bearer ${process.env.NAIRI_API_KEY}`,
        },
      },
    );
    const config = await res.json();
    ```
  </Tab>

  <Tab value="Ruby">
    ```ruby
    require "net/http"
    require "json"
    require "uri"

    uri = URI("https://api.nairi.ai/api/public/v1/artifacts/mcp-configs/#{config_id}")
    req = Net::HTTP::Get.new(uri)
    req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"

    res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
    config = JSON.parse(res.body)
    ```
  </Tab>

  <Tab value="Python">
    ```python
    import os
    import requests

    res = requests.get(
        f"https://api.nairi.ai/api/public/v1/artifacts/mcp-configs/{config_id}",
        headers={"Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}"},
    )
    config = res.json()
    ```
  </Tab>

  <Tab value="Go">
    ```go
    package main

    import (
    	"encoding/json"
    	"fmt"
    	"io"
    	"net/http"
    	"os"
    )

    func main() {
    	configID := os.Getenv("CONFIG_ID")
    	req, _ := http.NewRequest(
    		"GET",
    		"https://api.nairi.ai/api/public/v1/artifacts/mcp-configs/"+configID,
    		nil,
    	)
    	req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
    	res, _ := http.DefaultClient.Do(req)
    	defer res.Body.Close()
    	raw, _ := io.ReadAll(res.Body)
    	var config map[string]any
    	json.Unmarshal(raw, &config)
    	fmt.Println(config)
    }
    ```
  </Tab>
</Tabs>

## Response [#response]

```json
{
  "id": "amc_01KRB3E9725XECM1824B8B2XF2",
  "title": "Database MCP",
  "description": "PostgreSQL database connection",
  "content": "{\"mcpServers\": {...}}",
  "is_sensitive": false
}
```

<Callout type="warn">
  When `is_sensitive: true`, the `content` field is omitted (or returned as an empty string). There is no way to read back the original content of a sensitive config. To replace it, send new `content` via [Update](/api/mcp-configs/update).
</Callout>
